﻿=== WP Contact Slider ===
Contributors: wpexpertsio
Tags: contact slider, Contact Form 7, Gravity Forms, Caldera forms, Ninja Forms, Formidable Forms, Form Maker, Form Craft, Visul Form Builder, Constant Contact Forms, Pirate Forms, Fast Secure Contact Form, Wp Forms, text slider, instant contact form, contactform7
Donate link: https://www.paypal.com/cgi-bin/webscr?cmd=_xclick&business=pay@objects.ws&item_name=Donation For Plugin
Requires at least: 4.7
Tested up to: 5.5.3
Stable tag: 2.4.4
License: GPLv2
License URI: http://www.gnu.org/licenses/gpl-2.0.html

Simple contact slider to display Contact Form 7, Gravity Forms, some other shortcodes or some plain text/HTML.

== Description ==
WP contact slider is simple contact slider to display Contactform7, Gravity forms, Ninja Forms, Wp Forms, Caldera forms, Constant Contact Forms or display random text or HTML.

You can use it in any way you want and can create multiple sliders to display on selected Posts and Pages. You can even select different positions where you want to display your contact button and also can customize the color scheme of the whole slider with easy to use back-end panel.

[youtube https://www.youtube.com/watch?v=rGbJXg9Jm8I&feature=youtu.be]

= Features: =
- Display plain text or HTML.
- [Gravity Forms](http://www.gravityforms.com/) shortcode support.
- [Contact Form 7](https://wordpress.org/plugins/contact-form-7/) shortcode support.
- [Wp Forms](https://wordpress.org/plugins/wpforms-lite/) shortcode support.
- [Caldera forms](https://calderaforms.com/) shortcode support.
- [Constant Contact Forms](https://wordpress.org/plugins/constant-contact-forms/) shortcode support.
- [Pirate Forms](https://wordpress.org/plugins/pirate-forms/) shortcode support.
- [Fast Secure Contact Form](https://wordpress.org/plugins/si-contact-form/) shortcode support.
- [Formidable Forms](https://wordpress.org/plugins/formidable/) shortcode support.
- [Form Maker](https://wordpress.org/plugins/form-maker/) shortcode support.
- [Form Craft](https://wordpress.org/plugins/formcraft-form-builder/) shortcode support.
- [Visual Form Builder](https://wordpress.org/plugins/visual-form-builder/) shortcode support.                
- [Ninja Forms](https://wordpress.org/plugins/ninja-forms/) shortcode support.
- [Mycred](https://wordpress.org/plugins/mycred/) shortcode support.

= Docs & Support =

You can find [Plugin Details](https://wpcontactslider.com), [FAQ](https://wordpress.org/plugins/wp-contact-slider/faq/) and more detailed information about WP Contact Slider on [wpcontactslider.com](https://wpcontactslider.com). If you were unable to find the answer to your question on the FAQ or in any of the documentation, you should check the [support forum](https://wordpress.org/support/plugin/wp-contact-slider) on WordPress.org. If you can't locate any topics that pertain to your particular issue, post a new topic for it.


= GET MORE POWER WITH ULTIMATE ADDON COLLECTION =
- [Advance Settings Add On](https://wpcontactslider.com/advance-settings/)
With this Add-On you get more control over your sliders including following;
Change container width
Change tab width
Add a background image.
Enable push body effect
Hide the contact tab
Disable full height
Editor to manage content above shortcode/content within slider
Editor to manage content after shortcode/content within slider
Option to exclude slider, on selected post types
More on the way.
[Click here for more details >](https://wpcontactslider.com/advance-settings/)

- [Triggers & Shortcodes Add On](https://wpcontactslider.com/triggers-and-shortcodes/).
With this WP Contact Slider Add-On, you will get access to advance triggers and shortcodes
TIME DELAY TRIGGER
Set time in seconds, after which you would like to open slider in front-end without clicking the tab for the slider
TIME DELAY INTERVAL TRIGGER (REPEATING)
Set time in seconds, after which you would like to repetitively open slider again and again
EXIT INTENT TRIGGER
There are times when you want to display form for getting your visitors engaged once they intend to leave the page. Now with this Add-On, you can easily do that.
BUTTON SHORTCODE
This addon will generate shortcode for a button in your respective slider’s edit window so that you can easily add those buttons anywhere in the pages. Clicking on these buttons will trigger to display the respective slider.
LINK SHORTCODE
Triggers and Shortcode addon will also generate shortcode for the link in your respective slider’s edit window so that you can easily add those links anywhere in the pages. Clicking on these links will trigger to display the respective slider.
[Click here for more details >](https://wpcontactslider.com/advance-settings/)

- [Display Multiple Sliders Add On](https://wpcontactslider.com/display-multiple-sliders/).
EASILY DISPLAY UNLIMITED SLIDERS ON SINGLE PAGE
Now using Multi slider addon you can easily display multiple sliders on the single page.
POSITION EACH SLIDER FROM TOP USING SETTINGS IN SLIDER EDIT WINDOW
Adding more than 2 slides on right or left would require to change the distance from the top for each. Now with this addon, you can easily do that.
DISPLAY MULTIPLE SLIDER WITH DIFFERENT SHORTCODES OR HTML WHATEVER YOU WANT
While displaying multiple sliders on the same page you can use different shortcodes, i.e you can use contact form 7 in one slider, ninja forms in other and HTML content in third one and so on and use all on the same page.
[Click here for more details >](https://wpcontactslider.com/display-multiple-sliders/)

- [Font Awesome Icons](https://wpcontactslider.com/font-awesome-icons/).
With Fontawesome Icons Add-On you can easily select an icon from 400+ icons options right from slider settings. You will have the option to display a selected icon with or without label text without any custom CSS just with a single click.
[Click here for more details >](https://wpcontactslider.com/font-awesome-icons/)


- [GET ADDONS BUNDLE PACK](https://wpcontactslider.com/addons-bundle/)

- [Request For Custom Addon](https://wpcontactslider.com/contact-us/)


= Looking For Some Conversion Slider =
We have introduced a free version of OptinSpin a simple WP Optin Wheel to increase sales in your woocommerce store.
[**Get It Now**](https://wordpress.org/plugins/optin-spin/)

**Interested in contributing to WP Contact Slider**    
Head over to the [WP Contact Slider **GitHub Repository**](https://github.com/wpexpertsio/WP-Contact-Slider) to find out how you can pitch in ;)

== Installation ==
1. Go to Plugins > Add New.
2. Under Search, type WP Contact Slider
3. Find WP Contact Slider and click Install Now to install it
2. If successful, click Activate Plugin to activate it and you are ready to go.

== Frequently Asked Questions ==

= How to display Gravity forms shortcode in WP contact slider? =
Simply from back-end choose the option to display shortcode. A box will appear where you can insert your Gravity Forms shortcode and select the plugin type. Save the settings and you are done. 

= How to display Contact form 7 shortcode in WP contact slider? =
From edit window choose the option to display shortcode. A box will appear where you can insert your Contact form 7 shortcode and select the plugin type. Save the settings and you are ready to go. 

= Can we use HTML in the slider with plain text? =
Yes. Just like WordPress default editor, In WP Contact Slider you can use visual or text editor to insert whatever you want including images, text, and HTML.

== Screenshots ==
1. Example of WP Contact Slider with Caldera Form.
2. Example of WP Contact Slider with Constant Form.
3. Example of WP Contact Slider with Contact Form 7.
4. Example of WP Contact Slider with Formidable .
5. Example of WP Contact Slider with Gravity Forms.
6. Example of WP Contact Slider with PirateForms.
7. Example of WP Contact Slider with Visual Form Builder.
8. Example of WP Contact Slider with Form Maker.
9. Example of WP Contact Slider with WPForms.

== Changelog ==

= 2.4.4 =
* Updated - Freemius SDK Version 2.4.1

= 2.4.3 =
* Tested upto WordPress 5.4 compatibility
* Improvement - Added shortcode support for Mycred

= 2.4.2 =
* Updated - Freemius SDK Version 2.3.1

= 2.4.1 =
* Tested upto WordPress 5.1.1 compatibility
* Fix - added check if array exist on pages to avoid any error

= 2.4 =
* Tested upto WordPress 5.1 compatibility
* Improvement - Updated Freemius SDK
* Improvement - Updated Settings UI and scripts
* Added - Support for pages selected for home

= 2.3 =
* Tested upto WordPress 5.0.2 compatibility
* Improvement - Updated Settings UI and scripts
* Improvement - Disabled publicly_queryable from front
* Improvement - Removed extra space from bottom of title in slider edit window

= 2.2 =
* Fix - object parse error appearing in log
* Added - Classes to all slider divs to give more control for adding general CSS
* Added - option to enable/disable vertical scrolling
* Added - filter "wpcs_tab_title" for title displayed on tab 
* Added - filter "wpcs_render_slider" with $slider_id in argument, to stop slider to render
* Improvement - Updated dashboard Settings API

= 2.1.6 =
* Tested for WordPress 4.9.6 compatibility
* Fix - bug related to displaying multiple sliders on different pages
* Fix - save meta box toggle effect on page load
* Fix - hide on small devices and open on page load options combination error
* Improvement - Updated Settings UI and scripts

= 2.1.4 =
* Fix - error appeared after migration - Now you would need to deactivate and then activate to get rid of that error

= 2.1.3 =
* Fix - body getting pushed some cases
* Added - shortcode support for Ninja Forms
* Improvement - Added screen readability for a blind person

= 2.1 =
* Improvement - Updated Settings UI and scripts
* Improvement - Added filter hook "wpcs_html_content"
* Improvement - Added action hook "wpcs_before_slider_content"
* Improvement - Added action hook "wpcs_after_slider_content"
* Improvement - Added action hook "wpcs_before_slider"
* Improvement - Added action hook "wpcs_after_slider"

= 2.0.3 =
* Fix - contact form 7 multiple errors getting displayed

= 2.0.2 =
* Fix - missing cross image
* Fix - Hide on small screens if checked

= 2.0 =
* New - Completely New UI
* New - Introducing 2 backgrounds ( one for main container and other for form container )
* Improvement - Optimized JS
* Improvement - Optimized CSS

= 1.9.16 =
* Fixed Bug – Width of the container was changing after page load

= 1.9.15=
* Fixed Bug – Hide tab on responsive screens

= 1.9.14 =
* Fixed Bug - Caldera form datepicker issue
* Fixed Bug - error appeared after migration
* Fixed Bug - breaking on changing screen orientation on small screens
* Fixed Bug - container width change after submitting the form with ajax request

= 1.9.9 =
* Fixed Bug - Flickering effect on page load
* Fixed Bug - Open slider on page load

= 1.9.7 =
* Fixed Bug - Responsive issue in iphone6

= 1.9.6 =
* Fixed Bug - After last update during updating/deleting slider there was some issue reported

= 1.9.5 =
* Added Compatibity - For Theme The7
* Fixed Conflict - For Visual Composer

= 1.9.3 =
* Bug fix - Get short links were not working properly

= 1.9.1 =
* Fixed gravity form responsive issue

= 1.9 =
* Added shortcode support for Form Maker
* Added shortcode support for Form Craft
* Added shortcode support for Visual Form Builder

= 1.8 =
* Added shortcode support for Pirate Forms
* Added shortcode support for Fast Secure Contact Form
* Added shortcode support for Formidable Forms

= 1.7 =
* Fixed IE 11 reported bug
* Added shortcode support for WP Forms
* Added shortcode support for Caldera Forms
* Added shortcode support for Constant Contact Forms

= 1.62 =
* Tested for WordPress 4.7.3 compatibility
* Updated Meta box API
* Fixed meta-box.php confliction issue reported in support

= 1.52 =
* Fixed Bug related to tab redirecting to some other page

= 1.50 =
* Fixed Bug of closing tag issue reported by @bravenewcode. 

= 1.41 =
* Fixed Bug for random tag movements on page load.
* Added Fade In effect for a smooth look on page load.

= 1.35 =
* Fixed Contact Form 7 validation display bug.

= 1.34 =
* Fixed bug of last added slider being displayed on all pages
* Fixed bug of slider not being displayed on a home in some cases
* Added donation link

= 1.31 =
* Bug Fix.

= 1.3 =
* Added functionality to display single slider on all pages.

= 1.2 =
* Fixed confliction with Revolution slider.
* Fixed bug for Selected Pages Repeater field.
* Fixed bug of permalinks meta box disappearing in post and pages edit window. 
* Removed closure function to avoid any error in PHP 5.2 or below.
* Updated plugin with latest meta box classes.
* Organized code and added comments.
* Added filter to customize meta boxes of WP Contact slider outside plugin.
* Added support to display slider in Selected Posts as well.
* Added option to hide slider on small devices less than 500px.

= 1.02 =
* Added option to display slider on home pages
* Theme's color effect on hover fixed.

= 1.01 =
* IE label rotation bug fixed 

= 1.0 =
* Initial release

== Upgrade Notice ==

= Version 2.3 Changelog =
* Tested upto WordPress 5.0.2 compatibility
* Improvement - Updated Settings UI and scripts
* Improvement - Disabled publicly_queryable from front
* Improvement - Removed extra space from bottom of title in slider edit window




